> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Subscription Checkout



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspace_id}/billing/checkout
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/workspaces/{workspace_id}/billing/checkout:
    post:
      tags:
        - Workspaces
        - Entitlements
        - Quotas
      summary: Start Subscription Checkout
      operationId: >-
        start_subscription_checkout_v1_workspaces__workspace_id__billing_checkout_post
      parameters:
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingCheckoutRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingCheckoutResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    BillingCheckoutRequest:
      properties:
        billing_interval:
          enum:
            - month
            - year
          title: Billing Interval
          type: string
        confirm_trial_conversion:
          default: false
          title: Confirm Trial Conversion
          type: boolean
        plan_key:
          enum:
            - pro
            - team
          title: Plan Key
          type: string
        seat_quantity:
          default: 1
          maximum: 10000
          minimum: 1
          title: Seat Quantity
          type: integer
      required:
        - plan_key
        - billing_interval
      title: BillingCheckoutRequest
      type: object
    BillingCheckoutResponse:
      properties:
        checkout_url:
          title: Checkout Url
          type: string
        transaction_id:
          title: Transaction Id
          type: string
      required:
        - transaction_id
        - checkout_url
      title: BillingCheckoutResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````